#include <dos.h>
#include <iostream.h>
#include <conio.h>
#include <stdio.h>

void main()
{
int A;
int B;
int C;
int D;

clrscr();
union REGS regs, outregs;
struct SREGS sregs;

//intdos(&regs,&outregs);

regs.x.cx=A;
regs.h.dh=B;
regs.h.dl=C;
regs.h.al=D;

regs.h.ah=0x2A;

intdos(&regs,&outregs);
/* regs.x.cx=A;
regs.h.dh=B;
regs.h.dl=C;
regs.h.al=D;*/
A=outregs.x.cx;
B=outregs.h.dh;
C=outregs.h.dl;
D=outregs.h.al;

//intdos(&regs,&outregs);

cout<<dec<<"Year="<<A<<";";
cout<<dec<<"Month="<<B<<";";
cout<<dec<<"Day="<<C<<";";
cout<<dec<<"Week_day="<<D<<";";
getch();
}